﻿namespace EF5EnumCodeFirstDemo
{
    using System;
    using System.Linq;

    class Program
    {
        static void Main(string[] args)
        {
            using (var context = new AppContext()) {
                if (!context.Profiles.Any())
                    AddUserProfile(context);

                UserProfile profile = context.Profiles.FirstOrDefault();

                Console.WriteLine("Login: {0}. Role: {1}", profile.Login, profile.Role);
            }

            Console.WriteLine("Press any key ...");
            Console.ReadKey(true);
        }

        private static void AddUserProfile(AppContext context)
        {
            context.Profiles.Add(new UserProfile() {
                Login = "User",
                Role = UserRole.User
            });

            context.SaveChanges();
        }
    }
}
